Subject: Ticket Assigned - NOT ATTENTIVE STAFF
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 16 Apr 2021 04:56:28 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  NOT ATTENTIVE STAFF Dear,
Ramadan Kareem!
I was supposed to collect my order yesterday evening.  However, there is a long queue in the counter.  One lady cashier directed me to someone whose I think their head and is busy assisting the customer for more than 10mins.  But he never even apologized nor tell me to wait patiently until he resolved the issue which seems to take more time.  I left after waiting for approximately 13mins without them paying attention.  Yes my order is just a 5-pair of socks but it doesn't mean I have to be attended whenever they want.
I have been collecting my orders online at any branch but that store have the most unfriendly staff.
I will collect my order later and hope they realized from the long queue yesterday that they should impose strategies to attend all the customer immediately.
Thank you. 
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2403965